Skip to content
Kapten
Esc
↑↓navigate↵open⌘Jpreview

Get a pipeline

Returns a pipeline.

GET/project/{project_id}/environment/{environment_id}/pipelines/{pipeline_id}
Authorization
AuthorizationBearer token (JWT) · headerrequired

JWT token passed in the Authorization header using the Bearer <token> format.

Path parameters
project_iduuidrequired

The unique identifier for the project

environment_iduuidrequired

The unique identifier of the environment

pipeline_iduuidrequired

The unique identifier for the pipeline

Query parameters
filter[with_deleted]boolean

Include deleted instances

default: false
Responses
200

Pipeline retrieved successfully

iduuidrequired

A universally unique identifier (UUID) string

organization_iduuidrequired

A universally unique identifier (UUID) string

project_iduuidrequired

A universally unique identifier (UUID) string

environment_iduuidrequired

A universally unique identifier (UUID) string

namestringrequired
descriptionstring
is_activebooleanrequired
last_run_iduuid | null
Show properties
Any of:
uuid
string<uuid>
null
null
last_run_statuscomponent_deployment_staterequired

Deployment state for a component resource.

Allowed:QUEUEDSCHEDULEDRUNNINGRETRYINGSUCCEEDEDFAILEDCANCELEDTIMED_OUTSKIPPEDNONE
stagespipeline_stage[]required
Show properties
Array of pipeline_stage
iduuidrequired

A universally unique identifier (UUID) string

pipeline_iduuidrequired

A universally unique identifier (UUID) string

namestringrequired
descriptionstring
execution_orderintegerrequired
on_failurepipeline_stage_failure_policyrequired

Describes how the pipeline should behave after a stage failure.

Allowed:STOP_PIPELINECONTINUE_PIPELINE
componentspipeline_stage_component[]required
Show properties
Array of pipeline_stage_component
iduuidrequired

A universally unique identifier (UUID) string

stage_iduuidrequired

A universally unique identifier (UUID) string

component_iduuidrequired

A universally unique identifier (UUID) string

component_kindcomponent_kindrequired

Component kind for component-scoped variables

Allowed:KjobKApplicationKHelmKDatabase
is_requiredbooleanrequired
timeout_secondsinteger | null
created_atstring<date-time>required
created_atstring<date-time>required
updated_atstring<date-time>required
created_atstring<date-time>required
updated_atstring<date-time>required
deleted_atstring<date-time> | null
default

Error

codeinteger<int32>required
messagestringrequired
reasonstring

Optional stable machine-readable reason for programmatic error handling

Request
curl -X GET 'https://api.kapten.io/project/497f6eca-6276-4993-bfeb-53cbbbba6f08/environment/497f6eca-6276-4993-bfeb-53cbbbba6f08/pipelines/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
  "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",
  "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4",
  "name": "string",
  "description": "string",
  "is_active": true,
  "last_run_id": "08df5d92-87b1-40a2-b1e7-a5977dea4efc",
  "last_run_status": "QUEUED",
  "stages": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "pipeline_id": "ec036e81-7903-4e4d-bbfa-ac8516341cf0",
      "name": "string",
      "description": "string",
      "execution_order": 0,
      "on_failure": "STOP_PIPELINE",
      "components": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "stage_id": "f38d2b9c-0a0a-4eea-91a8-e974413bb670",
          "component_id": "41afafe5-2a48-424a-baef-34c2ad44ef7b",
          "component_kind": "Kjob",
          "is_required": true,
          "timeout_seconds": 0,
          "created_at": "2019-08-24T14:15:22Z"
        }
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "deleted_at": "2019-08-24T14:15:22Z"
}

Was this page helpful?